Posts Tagged ‘open sound device’

Hello Edgy, goodbye Feisty!

Tuesday, July 3rd, 2007

I had a rough experience upgrading Edgy to Feisy.

Hardware listing, for generations to come: Motherboard Abit IB9, including on-board IDE controller IT8211 with firmware 1.3.1.67 and no BIOS upgrade in the near future.

Nvidia 7700 with 256MB RAM on PCIe

Problems:

1. With IDE controller enabled in BIOS system hangs during startup. This is correct for the livecd as well.

2. XGL requires the flag “–use-copy” or it will show only the “white cube of death”. Performance is far from being optimal.

3. I was unable to use Xorg AIGLX, but only the generic NVIDIA interface.

4. With NVIDIA movement is slow and jittery. System is not stable, beryl tends to consume around 100% CPU, and the black-windows problem (which usually has to do with lack of video memory) is quite common.

I have downgraded to Edgy yesterday. Besides a (bug?) weird behavior with my existing software raid (the installer hung while trying to reconfigure the md device with a black box flashing fast in the left lower corner of the screen. I was able to use console but not to continue the install) which required me to backup everything and create the raid from console before the installer got to it, installation went as expected. The interesting thing is that I can say that my hardware works better, and I don’t think it has to do only with the kernel version.

I followed my past post about the post configuration required for Edgy, and it saved me some searches. However, there are several updated which I will show here:

1. Skype has a new version – 1.4 beta, which, for now, seems not to be affected by the “open sound device” hanging. This seems great. I have installed it from the dynamic package, which had dependencies. To satisfy dependencies, I used a tool I can recommend called getlibs. It installed Feisy packages on my system but it was quite OK.

2. Mplayer requires using the multiverse repository. While I thought I have opened it, it appears I was required to state it in addition manually… Added the following line to my /etc/apt/sources.list:
deb http://us.archive.ubuntu.com/ubuntu/ edgy multiverse

3. Beryl packages for Edgy become quire rare nowadays. I had to dig some to find it. I have used the repository:
deb http://ubuntu.beryl-project.org edgy main
following beryl’s guide which was posted by me before, but this repository works one minute, and doesn’t on the next. When it does, though, it has what you need. I’m using the same NVidia driver as before, with XGL alright, and it’s working fast and stable. Can’t complain.

4. I have created a package for Pidgin for Edgy, version 2.0.2. This was the original reason I have upgraded to Feisty… It can be downloaded from here. Notice – this is a crude package, just for my purpose. You can use it, and you can use the “getlibs” util from above to satisfy the binary’s requirements, as I didn’t add them in. pidgin_2.0.2-1_amd64.deb

I’m a happy camper.